diff --git a/tests/TestSuite_compressdev_isal_pmd.py b/tests/TestSuite_compressdev_isal_pmd.py
index 559c68de..3afde406 100644
--- a/tests/TestSuite_compressdev_isal_pmd.py
+++ b/tests/TestSuite_compressdev_isal_pmd.py
@@ -41,7 +41,6 @@ from framework.test_case import TestCase
 class TestCompressdevIsalPmd(TestCase):
 
     def set_up_all(self):
-        self.prepare_dpdk()
         cc.default_eals.update({'a': "0000:00:00.0", "vdev": "compress_isal"})
         cc.default_opts.update({"driver-name": "compress_isal"})
         self._perf_result = dict()
@@ -52,13 +51,6 @@ class TestCompressdevIsalPmd(TestCase):
         cc.default_eals = copy.deepcopy(self.eals)
         cc.default_opts = copy.deepcopy(self.opts)
 
-    def prepare_dpdk(self):
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_COMPRESSDEV_TEST=n$/CONFIG_RTE_COMPRESSDEV_TEST=y/' config/common_base", "# ")
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_LIBRTE_PMD_ISAL=n$/CONFIG_RTE_LIBRTE_PMD_ISAL=y/' config/common_base", "# ")
-        self.dut.build_install_dpdk(self.dut.target)
-
     def test_isal_pmd_unit_test(self):
         cc.run_unit(self)
 
@@ -87,14 +79,7 @@ class TestCompressdevIsalPmd(TestCase):
 
     def tear_down_all(self):
         self.dut.kill_all()
+        if self._perf_result:
+            with open(self.logger.log_path + "/" + self.suite_name + ".json", "a") as f:
+                json.dump(self._perf_result, f, indent=4)
 
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_COMPRESSDEV_TEST=y$/CONFIG_RTE_COMPRESSDEV_TEST=n/' config/common_base", "# ")
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_LIBRTE_PMD_ISAL=y$/CONFIG_RTE_LIBRTE_PMD_ISAL=n/' config/common_base", "# ")
-        self.dut.build_install_dpdk(self.dut.target)
-
-        if not self._perf_result:
-            return
-        with open(self.logger.log_path + "/" + self.suite_name + ".json", "a") as f:
-            json.dump(self._perf_result, f, indent=4)
diff --git a/tests/TestSuite_compressdev_qat_pmd.py b/tests/TestSuite_compressdev_qat_pmd.py
index 38f0bff3..5865648d 100644
--- a/tests/TestSuite_compressdev_qat_pmd.py
+++ b/tests/TestSuite_compressdev_qat_pmd.py
@@ -41,7 +41,6 @@ from framework.test_case import TestCase
 class TestCompressdevQatPmd(TestCase):
 
     def set_up_all(self):
-        self.prepare_dpdk()
         cc.bind_qat_device(self, self.drivername)
         cc.default_eals.update({"vdev": None})
         cc.default_opts.update({"driver-name": "compress_qat"})
@@ -54,11 +53,6 @@ class TestCompressdevQatPmd(TestCase):
         cc.default_eals = copy.deepcopy(self.eals)
         cc.default_opts = copy.deepcopy(self.opts)
 
-    def prepare_dpdk(self):
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_COMPRESSDEV_TEST=n$/CONFIG_RTE_COMPRESSDEV_TEST=y/' config/common_base", "# ")
-        self.dut.build_install_dpdk(self.dut.target)
-
     def get_perf_default_device(self, dev_num=3):
         perf_device_list = []
         for each in self.device_list:
@@ -153,14 +147,6 @@ class TestCompressdevQatPmd(TestCase):
 
     def tear_down_all(self):
         self.dut.kill_all()
-
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_COMPRESSDEV_TEST=y$/CONFIG_RTE_COMPRESSDEV_TEST=n/' config/common_base", "# ")
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_LIBRTE_PMD_QAT_SYM=y$/CONFIG_RTE_LIBRTE_PMD_QAT_SYM=n/' config/common_base", "# ")
-        self.dut.build_install_dpdk(self.dut.target)
-
-        if not self._perf_result:
-            return
-        with open(self.logger.log_path + "/" + self.suite_name + ".json", "a") as fv:
-            json.dump(self._perf_result, fv, indent=4)
+        if self._perf_result:
+            with open(self.logger.log_path + "/" + self.suite_name + ".json", "a") as fv:
+                json.dump(self._perf_result, fv, indent=4)
diff --git a/tests/TestSuite_compressdev_zlib_pmd.py b/tests/TestSuite_compressdev_zlib_pmd.py
index f1b3d4c4..ce71e58b 100644
--- a/tests/TestSuite_compressdev_zlib_pmd.py
+++ b/tests/TestSuite_compressdev_zlib_pmd.py
@@ -41,7 +41,6 @@ from framework.test_case import TestCase
 class TestCompressdevZlibPmd(TestCase):
 
     def set_up_all(self):
-        self.prepare_dpdk()
         cc.default_eals.update({"a":"0000:00:00.0", "vdev": "compress_zlib"})
         cc.default_opts.update({"driver-name": "compress_zlib"})
         self._perf_result = dict()
@@ -53,13 +52,6 @@ class TestCompressdevZlibPmd(TestCase):
         cc.default_eals = copy.deepcopy(self.eals)
         cc.default_opts = copy.deepcopy(self.opts)
 
-    def prepare_dpdk(self):
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_COMPRESSDEV_TEST=n$/CONFIG_RTE_COMPRESSDEV_TEST=y/' config/common_base", "# ")
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_LIBRTE_PMD_ZLIB=n$/CONFIG_RTE_LIBRTE_PMD_ZLIB=y/' config/common_base", "# ")
-        self.dut.build_install_dpdk(self.dut.target)
-
     def test_zlib_pmd_unit_test(self):
         cc.run_unit(self)
 
@@ -88,14 +80,6 @@ class TestCompressdevZlibPmd(TestCase):
 
     def tear_down_all(self):
         self.dut.kill_all()
-
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_COMPRESSDEV_TEST=y$/CONFIG_RTE_COMPRESSDEV_TEST=n/' config/common_base", "# ")
-        self.dut.send_expect(
-            "sed -i 's/CONFIG_RTE_LIBRTE_PMD_ZLIB=y$/CONFIG_RTE_LIBRTE_PMD_ZLIB=n/' config/common_base", "# ")
-        self.dut.build_install_dpdk(self.dut.target)
-
-        if not self._perf_result:
-            return
-        with open(self.logger.log_path + "/" + self.suite_name + ".json", "a") as fv:
-            json.dump(self._perf_result, fv, indent=4)
+        if self._perf_result:
+            with open(self.logger.log_path + "/" + self.suite_name + ".json", "a") as fv:
+                json.dump(self._perf_result, fv, indent=4)
diff --git a/tests/TestSuite_crypto_perf_cryptodev_perf.py b/tests/TestSuite_crypto_perf_cryptodev_perf.py
index 759c5186..39be86c1 100644
--- a/tests/TestSuite_crypto_perf_cryptodev_perf.py
+++ b/tests/TestSuite_crypto_perf_cryptodev_perf.py
@@ -86,13 +86,9 @@ class PerfTestsCryptodev(TestCase):
             self.dut.session.copy_file_to(file, self.dut_file_dir)
 
     def tear_down_all(self):
-        cc.clear_dpdk_config(self)
-
-        if not self._perf_result:
-            return
-
-        with open(self.logger.log_path + "/" + "perf_cryptodev_result.json", "a") as fv:
-            json.dump(self._perf_result, fv, indent=4)
+        if self._perf_result:
+            with open(self.logger.log_path + "/" + "perf_cryptodev_result.json", "a") as fv:
+                json.dump(self._perf_result, fv, indent=4)
 
     def set_up(self):
         pass
diff --git a/tests/TestSuite_fips_cryptodev.py b/tests/TestSuite_fips_cryptodev.py
index 39b30c6a..29a71990 100644
--- a/tests/TestSuite_fips_cryptodev.py
+++ b/tests/TestSuite_fips_cryptodev.py
@@ -65,7 +65,7 @@ class FipCryptodev(TestCase):
         self.dut.kill_all()
 
     def tear_down_all(self):
-        cc.clear_dpdk_config(self)
+        pass
 
     # Private functions
     def _get_fips_opt_str(self):
diff --git a/tests/TestSuite_ieee1588.py b/tests/TestSuite_ieee1588.py
index e17b1699..d61f2a53 100644
--- a/tests/TestSuite_ieee1588.py
+++ b/tests/TestSuite_ieee1588.py
@@ -55,8 +55,6 @@ class TestIeee1588(TestCase):
         self.verify(len(dutPorts) > 0, "No ports found for " + self.nic)
 
         # Change the config file to support IEEE1588 and recompile the package.
-        self.dut.send_expect(
-            "sed -i -e 's/IEEE1588=n$/IEEE1588=y/' config/common_base", "# ", 30)
         self.dut.set_build_options({'RTE_LIBRTE_IEEE1588': 'y'})
         self.dut.skip_setup = False
         self.dut.build_install_dpdk(self.target)
@@ -173,7 +171,5 @@ class TestIeee1588(TestCase):
         self.dut.send_expect("quit", "# ", 30)
 
         # Restore the config file and recompile the package.
-        self.dut.send_expect(
-            "sed -i -e 's/IEEE1588=y$/IEEE1588=n/' config/common_base", "# ", 30)
         self.dut.set_build_options({'RTE_LIBRTE_IEEE1588': 'n'})
         self.dut.build_install_dpdk(self.target)
diff --git a/tests/TestSuite_ipsec_gw_cryptodev_func.py b/tests/TestSuite_ipsec_gw_cryptodev_func.py
index 57ca79d9..ddeb3af5 100644
--- a/tests/TestSuite_ipsec_gw_cryptodev_func.py
+++ b/tests/TestSuite_ipsec_gw_cryptodev_func.py
@@ -99,7 +99,7 @@ class TestIPsecGW(TestCase):
         self.dut.kill_all()
 
     def tear_down_all(self):
-        cc.clear_dpdk_config(self)
+        pass
 
     def test_qat_aes_128_cbc_ipv4_tunnel(self):
         self._execute_ipsec_gw_test()
diff --git a/tests/TestSuite_kni.py b/tests/TestSuite_kni.py
index c2b05bad..a1e01174 100644
--- a/tests/TestSuite_kni.py
+++ b/tests/TestSuite_kni.py
@@ -260,10 +260,6 @@ class TestKni(TestCase):
         self.verify('no brctl' not in out,
                     "The linux tool brctl is needed to run this test suite")
 
-        self.dut.send_expect("sed -i -e 's/KNI_KMOD_ETHTOOL=n$/KNI_KMOD_ETHTOOL=y/' config/common_base", "# ", 30)
-        self.dut.send_expect("sed -i -e 's/CONFIG_RTE_KNI_KMOD=n$/CONFIG_RTE_KNI_KMOD=y/' config/common_base", "# ", 30)
-        self.dut.build_install_dpdk(self.target)
-
         out = self.dut.build_dpdk_apps("./examples/kni")
         self.app_kni_path = self.dut.apps_name['kni']
         self.verify('Error' not in out, "Compilation failed")
@@ -1236,9 +1232,5 @@ class TestKni(TestCase):
         """
         Run after each test suite.
         """
-
-        self.dut.send_expect("sed -i -e 's/KNI_KMOD_ETHTOOL=y$/KNI_KMOD_ETHTOOL=n/' config/common_base", "# ", 30)
-        self.dut.build_install_dpdk(self.target)
-
         self.dut.kill_all()
         self.dut.send_expect("rmmod rte_kni", "# ", 10)
diff --git a/tests/TestSuite_l2fwd_cryptodev_func.py b/tests/TestSuite_l2fwd_cryptodev_func.py
index 1e8ce549..1b9129af 100644
--- a/tests/TestSuite_l2fwd_cryptodev_func.py
+++ b/tests/TestSuite_l2fwd_cryptodev_func.py
@@ -438,7 +438,7 @@ class TestL2fwdCrypto(TestCase):
         self.dut.kill_all()
 
     def tear_down_all(self):
-        cc.clear_dpdk_config(self)
+        pass
 
     def __test_vector_to_cmd(self, test_vector, core_mask="", port_mask=""):
         cores = ','.join(self.core_list)
diff --git a/tests/TestSuite_packet_capture.py b/tests/TestSuite_packet_capture.py
index 4440c5f3..36d3f31e 100644
--- a/tests/TestSuite_packet_capture.py
+++ b/tests/TestSuite_packet_capture.py
@@ -804,8 +804,6 @@ class TestPacketCapture(TestCase):
         self.verify_supported_nic()
         self.test_port0_id = 0
         self.test_port1_id = 1
-        # compile dpdk app with SW CONFIG_RTE_LIBRTE_PMD_PCAP open
-        self.dut_skip_compile = self.dut.skip_setup
         # used for save log
         self.pdump_log = os.sep.join(["/tmp", 'pdumpLog'])
         if not self.is_existed_on_crb(self.pdump_log):
@@ -815,14 +813,6 @@ class TestPacketCapture(TestCase):
            not self.is_existed_on_crb(self.pdump_log, crb='tester'):
             cmd = "mkdir -p {0}".format(self.pdump_log)
             self.tester.alt_session.send_expect(cmd, "# ")
-        self.pcap_SW = "CONFIG_RTE_LIBRTE_PMD_PCAP"
-        self.SW_file = os.path.join(self.target_dir, 'config/common_base')
-        if not (self.dut_skip_compile and self.check_pcap_lib()):
-            cmd = "sed -i -e 's/{0}=n$/{0}=y/' {1}".format(
-                self.pcap_SW, self.SW_file)
-            self.dut.alt_session.send_expect(cmd, "# ", 30)
-            self.dut.skip_setup = False
-            self.dut.build_install_dpdk(self.target)
         # secondary process (dpdk-pdump)
         self.dut_dpdk_pdump_dir = self.dut.apps_name['pdump']
         self.tool_name = self.dut_dpdk_pdump_dir.split('/')[-1]
@@ -877,15 +867,4 @@ class TestPacketCapture(TestCase):
             self.reset_ASLR()
             self.session_ex.close()
             self.session_ex = None
-        # Restore the config file and recompile the package.
-        if self.check_pcap_lib():
-            self.dut.alt_session.send_expect(
-                ("sed -i -e 's/{0}=y$/{0}=n/' "
-                 "{1}").format(self.pcap_SW, self.SW_file),
-                "# ", 120)
-            # temporary disable skip_setup
-            skip_setup = self.dut.skip_setup
-            self.dut.skip_setup = True
-            self.dut.build_install_dpdk(self.target)
-            self.dut.skip_setup = skip_setup
         self.dut.kill_all()
diff --git a/tests/TestSuite_pmd.py b/tests/TestSuite_pmd.py
index 52250023..781df5ca 100644
--- a/tests/TestSuite_pmd.py
+++ b/tests/TestSuite_pmd.py
@@ -74,10 +74,6 @@ class TestPmd(TestCase):
 
         self.blocklist = ""
 
-        # Update config file and rebuild to get best perf on FVL
-        self.dut.send_expect("sed -i -e 's/CONFIG_RTE_LIBRTE_I40E_16BYTE_RX_DESC=n/CONFIG_RTE_LIBRTE_I40E_16BYTE_RX_DESC=y/' ./config/common_base", "#", 20)
-        self.dut.build_install_dpdk(self.target)
-
         # Based on h/w type, choose how many ports to use
         self.dut_ports = self.dut.get_ports()
         if self.dut.get_os_type() == 'linux':
diff --git a/tests/TestSuite_power_pbf.py b/tests/TestSuite_power_pbf.py
index 42d939cd..94692bc9 100644
--- a/tests/TestSuite_power_pbf.py
+++ b/tests/TestSuite_power_pbf.py
@@ -40,9 +40,6 @@ from collections import Counter
 from pprint import pformat
 
 from framework.exception import VerifyFailure
-
-# import framework.dts as dts libs
-from framework.settings import HOST_BUILD_TYPE_SETTING, load_global_setting
 from framework.test_case import TestCase
 from framework.utils import create_mask
 
@@ -148,13 +145,8 @@ class TestPowerPbf(TestCase):
     def init_test_binary_file(self):
         self.create_powermonitor_folder()
         # open debug SW
-        SW = "CONFIG_RTE_LIBRTE_POWER_DEBUG"
-        if 'meson' == load_global_setting(HOST_BUILD_TYPE_SETTING):
-            self.dut.set_build_options({SW[7:]: 'y'})
-        else:
-            cmd = "sed -i -e 's/{0}=n$/{0}=y/' {1}/config/common_base".format(
-                SW, self.target_dir)
-            self.d_a_con(cmd)
+        SW = "RTE_LIBRTE_POWER_DEBUG"
+        self.dut.set_build_options({SW: 'y'})
         self.dut.build_install_dpdk(self.target)
         # set up vm power management binary process setting
         self.vm_power_mgr = self.prepare_binary('vm_power_manager')
diff --git a/tests/TestSuite_unit_tests_cryptodev_func.py b/tests/TestSuite_unit_tests_cryptodev_func.py
index d2117255..02d1b092 100644
--- a/tests/TestSuite_unit_tests_cryptodev_func.py
+++ b/tests/TestSuite_unit_tests_cryptodev_func.py
@@ -51,7 +51,7 @@ class UnitTestsCryptodev(TestCase):
         self.dut.kill_all()
 
     def tear_down_all(self):
-        cc.clear_dpdk_config(self)
+        pass
 
     def _get_crypto_device(self, num):
         device = {}
diff --git a/tests/TestSuite_vhost_1024_ethports.py b/tests/TestSuite_vhost_1024_ethports.py
index 3b20f3e0..d2a643c2 100644
--- a/tests/TestSuite_vhost_1024_ethports.py
+++ b/tests/TestSuite_vhost_1024_ethports.py
@@ -65,18 +65,10 @@ class TestVhost1024Ethports(TestCase):
         self.vhost_user = self.dut.new_session(suite='vhost-user')
 
     def build_user_dpdk(self):
-        if self.dut.build_type == "meson":
-            self.dut.build_install_dpdk(self.target, extra_options="-Dmax_ethports=1024")
-        else:
-            self.dut.send_expect("sed -i 's/CONFIG_RTE_MAX_ETHPORTS=32$/CONFIG_RTE_MAX_ETHPORTS=1024/' config/common_base", '#', 30)
-            self.dut.build_install_dpdk(self.target)
+        self.dut.build_install_dpdk(self.target, extra_options="-Dmax_ethports=1024")
 
     def restore_dpdk(self):
-        if self.dut.build_type == "meson":
-            self.dut.build_install_dpdk(self.target, extra_options="-Dmax_ethports=32")
-        else:
-            self.dut.send_expect("sed -i 's/CONFIG_RTE_MAX_ETHPORTS=1024$/CONFIG_RTE_MAX_ETHPORTS=32/' config/common_base", '#', 30)
-            self.dut.build_install_dpdk(self.target)
+        self.dut.build_install_dpdk(self.target, extra_options="-Dmax_ethports=32")
 
     @property
     def check_2M_env(self):
diff --git a/tests/TestSuite_virtio_perf_cryptodev_func.py b/tests/TestSuite_virtio_perf_cryptodev_func.py
index 92765675..65045622 100644
--- a/tests/TestSuite_virtio_perf_cryptodev_func.py
+++ b/tests/TestSuite_virtio_perf_cryptodev_func.py
@@ -116,14 +116,6 @@ class VirtioCryptodevPerfTest(TestCase):
     def dut_execut_cmd(self, cmdline, ex='#', timout=30):
         return self.dut.send_expect(cmdline, ex, timout)
 
-    def build_user_dpdk(self, user_dut):
-        user_dut.send_expect(
-            "sed -i 's/CONFIG_RTE_LIBRTE_PMD_AESNI_MB=n$/CONFIG_RTE_LIBRTE_PMD_AESNI_MB=y/' config/common_base", '#', 30)
-        user_dut.send_expect(
-            "sed -i 's/CONFIG_RTE_EAL_IGB_UIO=n/CONFIG_RTE_EAL_IGB_UIO=y/g' config/common_base", '#', 30)
-        user_dut.set_build_options({'RTE_LIBRTE_PMD_AESNI_MB': 'y'})
-        user_dut.build_install_dpdk(self.target)
-
     def get_vhost_eal(self):
         default_eal_opts = {
             "c": None,
@@ -191,8 +183,6 @@ class VirtioCryptodevPerfTest(TestCase):
         self.dut.skip_setup = skip_setup
         vm_dut.restore_interfaces()
 
-        if not self.dut.skip_setup:
-            self.build_user_dpdk(vm_dut)
         vm_dut.setup_modules(self.target, self.drivername, None)
         vm_dut.bind_interfaces_linux(self.drivername)
         vm.virtio_list = self.set_virtio_pci(vm_dut)
@@ -257,4 +247,3 @@ class VirtioCryptodevPerfTest(TestCase):
         self.dut.send_expect("killall -s INT %s" % self.app_name, "#")
         self.dut_execut_cmd("killall -s INT qemu-system-x86_64")
         self.dut_execut_cmd("rm -r /tmp/*")
-        cc.clear_dpdk_config(self)
diff --git a/tests/TestSuite_virtio_unit_cryptodev_func.py b/tests/TestSuite_virtio_unit_cryptodev_func.py
index 6ccfef7f..fd5b30fe 100644
--- a/tests/TestSuite_virtio_unit_cryptodev_func.py
+++ b/tests/TestSuite_virtio_unit_cryptodev_func.py
@@ -202,5 +202,3 @@ class VirtioCryptodevUnitTest(TestCase):
         self.dut.send_expect("killall -s INT %s" % self.app_name, "#")
         self.dut_execut_cmd("killall -s INT qemu-system-x86_64")
         self.dut_execut_cmd("rm -r /tmp/*")
-
-        cc.clear_dpdk_config(self)
diff --git a/tests/TestSuite_vmdq_dcb.py b/tests/TestSuite_vmdq_dcb.py
index b5714469..c7f60141 100644
--- a/tests/TestSuite_vmdq_dcb.py
+++ b/tests/TestSuite_vmdq_dcb.py
@@ -93,8 +93,6 @@ class TestVmdqDcb(TestCase):
         """
         Rebuild dpdk
         """
-        self.dut.send_expect("sed -i -e 's/CONFIG_RTE_LIBRTE_I40E_QUEUE_NUM_PER_VM=.*$/CONFIG_RTE_LIBRTE_I40E_"
-                             "QUEUE_NUM_PER_VM=%s/' ./config/common_base" % nb_queue_per_vm, "#", 20)
         self.dut.set_build_options({'RTE_LIBRTE_I40E_QUEUE_NUM_PER_VM': nb_queue_per_vm})
         self.dut.build_install_dpdk(self.target)
 